Bug 193869 - Unloading button.ko before S3 sleep makes notebook reboot on resume
Unloading button.ko before S3 sleep makes notebook reboot on resume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2006-06-02 10:32 EDT by James
Modified: 2015-03-04 20:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 07:48:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James 2006-06-02 10:32:56 EDT
Description of problem:
Unloading the button.ko module shortly before suspending the notebook to RAM
results in it cold-booting the next time the button is pressed. If button.ko is
kept in memory, the problem is not seen.

Version-Release number of selected component (if applicable):
kernel 2.6.16-1.2111_FC4

How reproducible:
Unload the button ACPI module before S3 (suspend-to-RAM) sleep (e.g., with the
line SUSPEND_MODULES="... button ..." in /etc/sysconfig/pm), and initiate sleep.

Steps to Reproduce:
1. Have button unloaded before sleep.
2. Sleep.
3. Wake up with Power button.
  
Actual results:
Machine cold boots (i.e., POSTs, goes to GRUB, system comes back up).

Expected results:
System springs back to original state.
Comment 1 Dave Jones 2006-09-16 23:14:59 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 James 2006-09-19 05:23:09 EDT
Still there in 2.6.17-1.2187_FC5. Maybe an EC quirk... is it really necessary to
remove button.ko before suspending, or is there a better way to avoid processing
spurious power button events on resume (e.g. fix the user-space utilities or
have the kernel not pass up button events to user space if they were generated
before complete resume)? (I've removed it, but occasionally see the "logout" box
on resume, as if the event has been processed.)
Comment 3 Dave Jones 2006-10-16 15:39:25 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 James 2006-10-17 05:35:42 EDT
Still there in kernel-2.6.18-1.2200.fc5.
Comment 5 Dave Jones 2006-10-19 14:28:13 EDT
With current kernels we shouldn't need to be unloading 'button' any more.

Note You need to log in before you can comment on or make changes to this bug.